- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Actionslider

## Functions
EOAPI void | elm_obj_actionslider_indicator_pos_set (Elm_Actionslider_Pos pos)
| Set actionslider indicator position. More...
EOAPI Elm_Actionslider_Pos | elm_obj_actionslider_indicator_pos_get (void)
| Get actionslider indicator position. More...
EOAPI void | elm_obj_actionslider_magnet_pos_set (Elm_Actionslider_Pos pos)
| Set actionslider magnet position. More...
EOAPI Elm_Actionslider_Pos | elm_obj_actionslider_magnet_pos_get (void)
| Get actionslider magnet position. More...
EOAPI void | elm_obj_actionslider_enabled_pos_set (Elm_Actionslider_Pos pos)
| Set actionslider enabled position. More...
EOAPI Elm_Actionslider_Pos | elm_obj_actionslider_enabled_pos_get (void)
| Get actionslider enabled position. More...
EOAPI const char * | elm_obj_actionslider_selected_label_get (void)
| Get actionslider selected label. More...
void | elm_actionslider_indicator_pos_set (Eo *obj, Elm_Actionslider_Pos pos)
| Set actionslider indicator position. More...
Elm_Actionslider_Pos | elm_actionslider_indicator_pos_get (const Eo *obj)
| Get actionslider indicator position. More...
void | elm_actionslider_magnet_pos_set (Eo *obj, Elm_Actionslider_Pos pos)
| Set actionslider magnet position. More...
Elm_Actionslider_Pos | elm_actionslider_magnet_pos_get (const Eo *obj)
| Get actionslider magnet position. More...
void | elm_actionslider_enabled_pos_set (Eo *obj, Elm_Actionslider_Pos pos)
| Set actionslider enabled position. More...
Elm_Actionslider_Pos | elm_actionslider_enabled_pos_get (const Eo *obj)
| Get actionslider enabled position. More...
const char * | elm_actionslider_selected_label_get (const Eo *obj)
| Get actionslider selected label. More...
Evas_Object * | elm_actionslider_add (Evas_Object *parent)
| Add a new actionslider to the parent. More...

## Detailed Description

An actionslider is a switcher for 2 or 3 labels with customizable magnet properties. The user drags and releases the indicator, to choose a label.

Labels occupy the following positions. a. Left b. Right c. Center

Positions can be enabled or disabled.

Magnets can be set on the above positions.

When the indicator is released, it will move to its nearest "enabled and magnetized" position.

Note
  By default all positions are set as enabled.

This widget inherits from the Layout one, so that all the functions acting on it also work for actionslider objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"selected"` - when user selects an enabled position (the label is passed as event info).
- `"pos_changed"` - when the indicator reaches any of the positions("left", "right" or "center").
- `"language,changed"` - the program's language changed (since 1.9)

Default text parts of the actionslider widget that you can use for are:

- "indicator" - An indicator label of the actionslider
- "left" - A left label of the actionslider
- "right" - A right label of the actionslider
- "center" - A center label of the actionslider

Supported elm_object common APIs.

- elm_object_part_text_set
- elm_object_part_text_get

See an example of actionslider usage here

## Function Documentation

Evas_Object* elm_actionslider_add | ( | Evas_Object * | parent | ) |

Add a new actionslider to the parent.

Parameters

  parent | The parent object

Returns
  The new actionslider object or NULL if it cannot be created

Elm_Actionslider_Pos elm_actionslider_enabled_pos_get | ( | const Eo * | obj | ) |

Get actionslider enabled position.

Returns
  The enabled positions.

References elm_obj_actionslider_enabled_pos_get().

void elm_actionslider_enabled_pos_set | ( | Eo * | obj,
|  | Elm_Actionslider_Pos | pos
| ) |  |

Set actionslider enabled position.

To set multiple positions as enabled `or` them together(e.g.: ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT).

Note
  All the positions are enabled by default.

Parameters

  [in] | pos | Bit mask indicating the enabled positions.

References elm_obj_actionslider_enabled_pos_set().

Elm_Actionslider_Pos elm_actionslider_indicator_pos_get | ( | const Eo * | obj | ) |

Get actionslider indicator position.

Returns
  The position of the indicator.

References elm_obj_actionslider_indicator_pos_get().

void elm_actionslider_indicator_pos_set | ( | Eo * | obj,
|  | Elm_Actionslider_Pos | pos
| ) |  |

Set actionslider indicator position.

Parameters

  [in] | pos | The position of the indicator.

References elm_obj_actionslider_indicator_pos_set().

Elm_Actionslider_Pos elm_actionslider_magnet_pos_get | ( | const Eo * | obj | ) |

Get actionslider magnet position.

Returns
  The positions with magnet property.

References elm_obj_actionslider_magnet_pos_get().

void elm_actionslider_magnet_pos_set | ( | Eo * | obj,
|  | Elm_Actionslider_Pos | pos
| ) |  |

Set actionslider magnet position.

To make multiple positions magnets `or` them together(e.g.: ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT)

Parameters

  [in] | pos | Bit mask indicating the magnet positions.

References elm_obj_actionslider_magnet_pos_set().

const char* elm_actionslider_selected_label_get | ( | const Eo * | obj | ) |

Get actionslider selected label.

Returns
  The selected label

References elm_obj_actionslider_selected_label_get().

EOAPI Elm_Actionslider_Pos elm_obj_actionslider_enabled_pos_get | ( | void |  | ) |

Get actionslider enabled position.

Returns
  The enabled positions.

Referenced by elm_actionslider_enabled_pos_get().

EOAPI void elm_obj_actionslider_enabled_pos_set | ( | Elm_Actionslider_Pos | pos | ) |

Set actionslider enabled position.

To set multiple positions as enabled `or` them together(e.g.: ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT).

Note
  All the positions are enabled by default.

Parameters

  [in] | pos | Bit mask indicating the enabled positions.

Referenced by elm_actionslider_enabled_pos_set().

EOAPI Elm_Actionslider_Pos elm_obj_actionslider_indicator_pos_get | ( | void |  | ) |

Get actionslider indicator position.

Returns
  The position of the indicator.

Referenced by elm_actionslider_indicator_pos_get().

EOAPI void elm_obj_actionslider_indicator_pos_set | ( | Elm_Actionslider_Pos | pos | ) |

Set actionslider indicator position.

Parameters

  [in] | pos | The position of the indicator.

Referenced by elm_actionslider_indicator_pos_set().

EOAPI Elm_Actionslider_Pos elm_obj_actionslider_magnet_pos_get | ( | void |  | ) |

Get actionslider magnet position.

Returns
  The positions with magnet property.

Referenced by elm_actionslider_magnet_pos_get().

EOAPI void elm_obj_actionslider_magnet_pos_set | ( | Elm_Actionslider_Pos | pos | ) |

Set actionslider magnet position.

To make multiple positions magnets `or` them together(e.g.: ELM_ACTIONSLIDER_LEFT | ELM_ACTIONSLIDER_RIGHT)

Parameters

  [in] | pos | Bit mask indicating the magnet positions.

Referenced by elm_actionslider_magnet_pos_set().

EOAPI const char* elm_obj_actionslider_selected_label_get | ( | void |  | ) |

Get actionslider selected label.

Returns
  The selected label

Referenced by elm_actionslider_selected_label_get().